Bug 1124724 - JDG640.Camel-jdg
Summary: JDG640.Camel-jdg
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Camel-JBossDataGrid
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.4.0
Assignee: Ion Savin
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1124710
TreeView+ depends on / blocked
 
Reported: 2014-07-30 07:41 UTC by Tristan Tarrant
Modified: 2015-07-13 04:34 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Tristan Tarrant 2014-07-30 07:41:57 UTC
Requirement:
	

Support JDG 6.4 for caching on Camel routes in Fuse, replacing Ehcache. Support JDG 6.4 as an embedded cache (local or clustered) or as a remote cache in my Camel route.

 

- Make the camel-infinispan component [1] functionally on par with camel-cache component [2], for Camel Producer, Camel Consumer, and Camel Processor.  This work would happen in Apache Camel community.

 

- Productize this camel-infinispan into a camel-jdg component, which will ship with JDG (not Fuse). This component should be compatible with the version of Camel included in the current version of JBoss Fuse [3].

[1] Apache Camel: Infinispan

[2] Apache Camel: Cache

[3] Red Hat JBoss Fuse - Component Details - Red Hat Customer Portal

Priority:
	

P1

Status:
	

Partial commit - committed for the camel-infinispan component as available in Camel 2.13 (we might need to upgrade its Infinispan dependency, though). Re: the pair functionality with camel-cache component, we'll consider enhancing it, but can't commit to those enhancements

Originator:
	

Product Management

Responsible team:
	

Infinispan Engineering Team

Comments:
	

Attachments:
	

Interdependencies:

Comment 2 Divya Mehra 2014-09-03 14:29:05 UTC
Please name the component: camel-jbossdatagrid.

- Divya

Comment 3 Bilgin Ibryam 2014-09-23 10:59:11 UTC
Some thougths and clarifications:

 - camel-cache is a badly named component as it suggest that it is the default cashing component, but actually it is not. That component should have been named camel-ehcache and that will happen in Camel 3 I belive. That's said, there is nothing additional to do for camel-infinispan to integrate with camel-cache.

 - There was an idea for adding caching support to Camel DSLs, and we can think of how we can make infinispan as the default choise if the community does not objects to that.

 - If there are any additional enhancements that we want to do to camel-infinispan on the upstream, I'm sure the PR will get committed very quickly either by me or any other committer. 

 - I wonder whether a shorter name wouldn't be better, like: camel-jdg


Some areas for enhancements on the upstream:

 - add more operations to camel-infinispan component. For examlple hazelcast [1] has much more options.

 - Hazelcast has a tutorial [2] for using it as idempotent consumer. Camel-infinispan also has such a support and the demo is on my github, but that is not documented on camel confluence.

 - Implement infinispan based AggregationRepository for Camel. Hazelcast has implemetned it and I can see it being useful in my current engagement.


[1] http://camel.apache.org/hazelcast-component.html
[2] http://camel.apache.org/hazelcast-idempotent-repository-tutorial.html

Comment 4 Martin Gencur 2014-10-03 11:29:10 UTC
This feature was delivered as part of ER1. So I'm closing this bug. 

Functional issues of this feature will be reported in separate BZs.

BZs reported so far:
https://bugzilla.redhat.com/show_bug.cgi?id=1148703
https://bugzilla.redhat.com/show_bug.cgi?id=1148802

Comment 5 Martin Gencur 2014-10-03 11:39:01 UTC
Regarding the rename. 
Divya, what would you say about "camel-jdg"? Just a suggestion. I'll create a separate BZ for this.

Comment 6 Martin Gencur 2014-10-03 11:43:05 UTC
Created https://bugzilla.redhat.com/show_bug.cgi?id=1149165

Comment 8 Martin Gencur 2014-11-04 07:35:54 UTC
The distribution has been delivered, hence I'm closing this BZ. Issues related to that distribution are filed as separate issues, such as:
https://bugzilla.redhat.com/show_bug.cgi?id=1156005
https://bugzilla.redhat.com/show_bug.cgi?id=1148802


Note You need to log in before you can comment on or make changes to this bug.